name: containers
version: 0.5.6.2
id: containers-0.5.6.2-e59c9b78d840fa743d4169d4bea15592
key: conta_2C3ZI8RgPO2LBMidXKTvIU
license: BSD3
maintainer: fox@ucw.cz
synopsis: Assorted concrete container types
description:
    This package contains efficient general-purpose implementations
    of various basic immutable container types.  The declared cost of
    each operation is either worst-case or amortized, but remains
    valid even if structures are shared.
category: Data Structures
exposed: True
exposed-modules:
    Data.IntMap Data.IntMap.Lazy Data.IntMap.Strict Data.IntSet
    Data.Map Data.Map.Lazy Data.Map.Strict Data.Set Data.Graph
    Data.Sequence Data.Tree
hidden-modules: Data.IntMap.Base Data.IntSet.Base Data.Map.Base
                Data.Set.Base Data.Utils.BitUtil Data.Utils.StrictFold
                Data.Utils.StrictPair
trusted: False
import-dirs: /usr/lib/ghc-7.10.3/conta_2C3ZI8RgPO2LBMidXKTvIU
library-dirs: /usr/lib/ghc-7.10.3/conta_2C3ZI8RgPO2LBMidXKTvIU
data-dir: /usr/share/x86_64-linux-ghc-7.10.3/containers-0.5.6.2
hs-libraries: HScontainers-0.5.6.2-2C3ZI8RgPO2LBMidXKTvIU
depends:
    array-0.5.1.0-960bf9ae8875cc30355e086f8853a049
    base-4.8.2.0-0d6d1084fbc041e1cded9228e80e264d
    deepseq-1.4.1.1-614b63b36dd6e29d2b35afff57c25311
    ghc-prim-0.4.0.0-6cdc86811872333585fa98756aa7c51e
haddock-interfaces: /usr/share/doc/ghc/html/libraries/containers-0.5.6.2/containers.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/containers-0.5.6.2
